Subject: Re: [PATCH V4 0/6] Redesign SR-IOV on PowerNV

From: Alexey Kardashevskiy <[email-masked]>
Date: Wed, 26 Aug 2015 18:06:32 +1000

On 08/26/2015 03:11 PM, Alexey Kardashevskiy wrote:
> On 08/19/2015 12:01 PM, Wei Yang wrote:
>> In original design, it tries to group VFs to enable more number of VFs in
>> the
>> system, when VF BAR is bigger than 64MB. This design has a flaw in which one
>> error on a VF will interfere other VFs in the same group.
>>
>> This patch series change this design by using M64 BAR in Single PE mode to
>> cover only one VF BAR. By doing so, it gives absolute isolation between VFs.
>
> With or without this patchset, this fails with a horrible loop of EEHs:
> rmmod mlx4_en mlx4_ib mlx4_core
> modprobe mlx4_core num_vfs=4 probe_vf=4 port_type_array=2,2 debug_level=1
>
> No guest is needed, just boot and do these commands. The EEH error is
> pointing to a broken DMA address. iommu=nobypass fixed it for 4 VFs case
> but when I try 16 VFs, none is created.
>
> What is the correct base tree and what hardware did you use for the testing
> _exactly_?
>
> Mine is "Ethernet controller: Mellanox Technologies MT27520 Family
> [ConnectX-3 Pro]" with 128MB BARs and that works (just double checked - can
> create all 16 VFs) with PowerKVM 3.1 so it is not a hardware issue.

This turned out to be the powerpc/next tree problem, not this patch or 
anything related to SRIOV. Debugging now...

-- 
Alexey